Package org.eclipse.net4j.util.ui.actions

# Class LongRunningActionDelegate

java.lang.Object
org.eclipse.net4j.util.ui.actions.SafeActionDelegate
org.eclipse.net4j.util.ui.actions.LongRunningActionDelegate

All Implemented Interfaces:
  `IActionDelegate`

public abstract class LongRunningActionDelegate extends SafeActionDelegate

Author:
  Eike Stepper

## Field Summary

### Fields inherited from class org.eclipse.net4j.util.ui.actions.SafeActionDelegate

`INTERACTIVE`

## Constructor Summary

Constructors
Constructor
Description
`LongRunningActionDelegate()`

## Method Summary

Modifier and Type
Method
Description
`protected final void`
`cancel()`
`protected final void`
`checkCancelation(IProgressMonitor monitor)`
`protected abstract void`
`doRun(IProgressMonitor progressMonitor)`
`protected String`
`getBundleID()`
`protected String`
`getErrorMessage(Exception ex)`
`protected String`
`getErrorTitle(Exception ex)`
`protected final int`
`getTotalWork()`
Deprecated.
Not supported anymore.
`protected void`
`preRun()`
`protected final void`
`safeRun()`
`protected final void`
`setTotalWork(int totalWork)`
Deprecated.
Not supported anymore.

### Methods inherited from class org.eclipse.net4j.util.ui.actions.SafeActionDelegate

`getAction, getSelection, getShell, getText, run, selectionChanged`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LongRunningActionDelegate

public LongRunningActionDelegate()

## Method Details

### getTotalWork

@Deprecated protected final int getTotalWork()
Deprecated.
Not supported anymore.

### setTotalWork

@Deprecated protected final void setTotalWork(int totalWork)
Deprecated.
Not supported anymore.

### cancel

protected final void cancel()

### safeRun

protected final void safeRun() throws Exception

Specified by:
  `safeRun` in class `SafeActionDelegate`
Throws:
  `Exception`

### preRun

protected void preRun() throws Exception

Throws:
  `Exception`

### getBundleID

protected String getBundleID()

### getErrorTitle

protected String getErrorTitle(Exception ex)

Since:
  3.12

### getErrorMessage

protected String getErrorMessage(Exception ex)

Since:
  3.12

### doRun

protected abstract void doRun(IProgressMonitor progressMonitor) throws Exception

Throws:
  `Exception`
Since:
  2.0

### checkCancelation

protected final void checkCancelation(IProgressMonitor monitor)